=head1 NAME

Attean::API::Result - Role representing a set of variable bindings

=head1 VERSION

This document describes Attean::API::Result version 0.030

=head1 SYNOPSIS

  use v5.14;
  use Attean;

=head1 DESCRIPTION

This is a Moo role representing quad patterns.

=head1 ROLES

This role consumes L<Attean::API::Binding>.

=head1 METHODS

=over 4

=item C<< join( $result ) >>

Returns the combined variable binding set if the referent and C<< $result >>
are compatible (as defined by the SPARQL semantics), or C<< undef >> otherwise.

=item C<< apply_map( $mapper ) >>

Returns a new variable binding set object with all terms mapped through the
given L<Attean::Mapper> object C<< $mapper >>.

=back

=head1 BUGS

Please report any bugs or feature requests to through the GitHub web interface
at L<https://github.com/kasei/attean/issues>.

=head1 SEE ALSO



=head1 AUTHOR

Gregory Todd Williams  C<< <gwilliams@cpan.org> >>

=head1 COPYRIGHT

Copyright (c) 2014--2020 Gregory Todd Williams.
This program is free software; you can redistribute it and/or modify it under
the same terms as Perl itself.

=cut
